<?php

require_once 'SqlTool.php';
require_once 'PasswordHash.php';


class AccountService {

    public function checkPassword($username,$password){

        $hasher = new PasswordHash(8, true);
        $sqlTool = new SqlTool();

        $sql="select user_password,user_name from soft_user_info where user_name='".$username."'";
        $res = $sqlTool->execute_dql($sql);

        if ($row = mysqli_fetch_assoc($res)){
            $result = $hasher->CheckPassword($password, $row['user_password']);
        }

        if ($result == true){
            session_start();
            $_SESSION['loginUser'] = $username;
        }

        mysqli_free_result($res);
        $sqlTool->close_connect();
        return $result;
    }

    public function checkLoginStatus(){

        session_start();
        if (empty($_SESSION['loginUser'])){
            header("location:index.php");
            return false;
        }

        return true;
    }

    public function checkUsername($username){

        $ret = true;
        $count = 0;

        $sql = "select count(user_name) from soft_user_info where user_name='".$username."'";
        $sqlTool = new SqlTool();
        $res = $sqlTool->execute_dql($sql);
		if($row=mysqli_fetch_row($res)){
			$count = $row[0];
		}

        if ($count != 0){
            //用户名已存在
            $ret = false;
        }
        mysqli_free_result($res);
        $sqlTool->close_connect();

        return $ret;
    }

    public function modifyUsername($username, $newname){

        if (!$this->checkUsername($newname)){
            //用户名已存在
            return -1;
        }

        $sqlTool = new SqlTool();
        $sql="update soft_user_info set user_name='".$newname."' where user_name='".$username."'";
        $res = $sqlTool->execute_dqm($sql);

        return $res;
    }

    public function modifyPassword($username, $oldpass, $newpass){

        if (!$this->checkPassword($username, $oldpass)){
            //原密码错误
            return -1;
        }

        $hasher = new PasswordHash(8, true);
        $sqlTool = new SqlTool();

        $newpass = $hasher->HashPassword($newpass);
        $sql="update soft_user_info set user_password='".$newpass."' where user_name='".$username."'";
        $res = $sqlTool->execute_dqm($sql);

        return $res;
    }

}
