
function uploadIcon()
{

	$("#softIconError").html("");
	iconFile=$("#iconFile").val();
	if(iconFile.length == 0)
	{
	    alert("尚未选择图标文件！");
	    return;
	}

	var archId = $("#archId").val();

	$.ajaxFileUpload
	({
			url:'uploadFile.php?flag=icon'+'&archId='+archId,
			secureuri:false,
			fileElementId:'iconFile',
			dataType: 'json',
			success: function (data)
			{
				//alert(data.id);
				switch(data.id)
				   {
				   case '0':
					   alert("上传成功！");
					   $("#iconName").val(data.iconName);
					   break;
				   case '-1':
					   alert("上传失败，请重新上传！");
					   $("#softIconError").html("上传失败");
					   break;
				   case '-3':
					   alert("上传失败，请重新上传！");
					   $("#softIconError").html("上传失败");
					   break;
				   case '-2':
					   alert("文件已存在！");
					   $("#iconName").val(data.iconName);
					   break;
				   case '-4':
					   alert("只能上传png图片！");
					   $("#softIconError").html("上传失败");
					   break;
				   }

			},
			error: function (data, status, e)
			{
				alert(e);
			}
		})

}

function uploadRpms()
{

	$("#softFileError").html("");
	var rpmFile=$("#rpmFile").val();
	if(rpmFile.length == 0)
	{
	    alert("尚未选择软件包文件！");
	    return;
	}

	var archId = $("#archId").val();

	$.ajaxFileUpload
	({
			url:'uploadFile.php?flag=rpm'+'&archId='+archId,
			secureuri:false,
			fileElementId:'rpmFile',
			dataType: 'json',
			success: function (data)
			{
				//alert(data.id);
				switch(data.id)
				   {
				   case '0':
					   alert("上传成功！");
					   $("#rpmName").val(data.rpmName);
					   $("#softVersion").val(data.rpmVersion);
					   $("#rpmSize").val(data.rpmSize);
					   break;
				   case '-1':
					   alert("上传失败，请重新上传！");
					   $("#softFileError").html("上传失败");
					   break;
				   case '-3':
					   alert("上传失败，请重新上传！");
					   $("#softFileError").html("上传失败");
					   break;
				   case '-2':
					   alert("文件已存在！");
					   $("#rpmName").val(data.rpmName);
					   $("#softVersion").val(data.rpmVersion);
					   $("#rpmSize").val(data.rpmSize);
					   break;
				   case '-4':
					   alert("只能上传rpm格式包！");
					   $("#softFileError").html("上传失败");
					   break;
				   case '-5':
					   alert("上传软件包名和安装后的包名不匹配，请检查包名的真实性");
					   $("#softFileError").html("上传失败");
					   break;
				   case '-6':
					   alert("架构不匹配！");
					   $("#upFileError").html("上传失败");
					   break;
				   }

			},
			error: function (data, status, e) {
				alert(e);
			}
		})

}

function uploadInfo()
{
	$("#buttonUpload").attr("disabled",true);
	$("#buttonUpload").css("background-color","#cccccc");
	$("#allContent").css("opacity","0.6");
	$("#allContent").css("pointer-events","none");
	$("#tip").css("display","block");
	$("#tipWords").html("正在添加，请勿刷新页面……");
	window.onbeforeunload = function(e) {
    		return '离开会导致YUM源仓库更新中断，确认离开？';
	}

	var archId = $("#archId").val();
	var soft_name = $("#softName").val();
	var icon_name = $("#iconName").val();
	var soft_exe = $("#softExe").val();
	var soft_class = $("#classId").val();
	var soft_rpm = $("#rpmName").val();
	var soft_version = $("#softVersion").val();
	var rpm_size = $("#rpmSize").val();
	var soft_info = $("#softInfo").val();
	var soft_deps = $("#rpmDeps").val();

	var soft_name_is_null = false;
	var soft_info_is_null = false;
	var soft_file_is_not_loaded = false;
	var icon_file_is_not_loaded = false;

	if(soft_name.length == 0)
	{
		soft_name_is_null = true;
	}
	if(soft_info.length == 0)
	{
		soft_info_is_null = true;
	}
	if(soft_rpm.length == 0 || soft_version.length == 0 || rpm_size.length == 0)
	{
		soft_file_is_not_loaded = true;
	}
	if(icon_name.length == 0)
	{
		icon_file_is_not_loaded = true;
	}

	if(soft_name_is_null == true || soft_info_is_null == true || soft_file_is_not_loaded == true || icon_file_is_not_loaded == true)
	{
		if(soft_name_is_null == true)
		{
			$("#softNameError").html("不能为空");
		}
		if(soft_info_is_null == true)
		{
			$("#softInfoError").html("不能为空");
		}
		if(soft_file_is_not_loaded == true)
		{
			$("#softFileError").html("未上传文件");
		}
		if(icon_file_is_not_loaded == true)
		{
			$("#softIconError").html("未上传文件");
		}
		$("#buttonUpload").css("background-color","#304055");
		$("#buttonUpload").attr("disabled",false);
		$("#allContent").css("opacity","1");
		$("#allContent").css("pointer-events","auto");
		$("#tip").css("display","none");
		$("#tipWords").html("");
		window.onbeforeunload = null;
		return;
	}

	$.ajax({
		   url:'rpmProcess.php?flag=addSoftware',
		   type:'post',
		   async:true,
		   datatype:'text',
		   cache:false,
		   data:{
			   archId:archId,
			   soft_name:soft_name,
			   icon_name:icon_name,
			   soft_exe:soft_exe,
			   soft_rpm:soft_rpm,
			   soft_version:soft_version,
			   rpm_size:rpm_size,
			   soft_info:soft_info,
			   soft_deps:soft_deps,
			   soft_class:soft_class,
			   },
		   success:function(data){
			   //alert(data);
			$("#allContent").css("opacity","1");
			$("#allContent").css("pointer-events","auto");
			$("#tip").css("display","none");
			$("#tipWords").html("");
			window.onbeforeunload = null;

				   switch(data)
				   {
				   case '0':
					   alert("添加成功！");
					   window.location.href="rpm_list.php";
					   break;
				   case '-3':
					   alert("软件已存在，请勿重复添加！\n如需更新请前往 首页->修改");
				   case '-1':
				   case '-2':
					   alert("添加失败！");
					   location.reload();
					   break;
				   }
			   },
			 error: function(XMLHttpRequest, textStatus, errorThrown) {
				$("#buttonUpload").attr("disabled",false);
				 alert(XMLHttpRequest.status);
				 alert(XMLHttpRequest.readyState);
				 alert(textStatus);
			 },
	});
}

function delInfo(soft_name, archId)
{
	if(!confirm("确认删除 "+soft_name+"？"))
	{
		exit();
	}
	$("#allContent").css("opacity","0.6");
	$("#allContent").css("pointer-events","none");
	$("#tip").css("display","block");
	$("#tipWords").html("正在删除，请勿刷新页面……");
	window.onbeforeunload = function(e) {
    		return '离开会导致YUM源仓库更新中断，确认离开？';
	}

	$.ajax({
		   url:'rpmProcess.php?flag=delSoftware',
		   type:'post',
		   async:true,
		   datatype:'text',
		   cache:false,
		   data:{
			   soft_name:soft_name,
			   archId:archId
			   },
		   success:function(data){
			   //alert(data);
			$("#allContent").css("opacity","1");
			$("#allContent").css("pointer-events","auto");
			$("#tip").css("display","none");
			$("#tipWords").html("");
			window.onbeforeunload = null;

				   switch(data)
				   {
				   case '0':
					   alert("删除成功！");
					   window.location.href="rpm_list.php";
					   break;
				   case '-1':
					   alert("删除失败！");
					   break;
				   }
			   },
			 error: function(XMLHttpRequest, textStatus, errorThrown) {
				 alert(XMLHttpRequest.status);
				 alert(XMLHttpRequest.readyState);
				 alert(textStatus);
			 },
	});
}

function changeColor(obj,id)
{
	//$("#li"+id).css("background-color","yellow");
	$(obj).css("background-color","#273548");
}

function modifyUsername()
{
	$("#usernameError").html("")

    var new_name = $("#new_username").val();
	if(new_name.length ==0)
	{
	    $("#usernameError").html("不能为空")
        return;
	}

	var patt = /^[a-zA-Z][a-zA-Z0-9_]{4,15}$/;
	if(!patt.test(new_name))
	{
	    $("#usernameError").html("用户名不合法")
	    return;
	}
		

	$.ajax({
		   url:'rpmProcess.php?flag=modifyUsername',
		   type:'post',
		   async:true,
		   datatype:'text',
		   cache:false,
		   data:{
			   new_name:new_name
			   },
		   success:function(data){
			  //alert(data);

				   switch(data)
				   {
				   case '1':
					   alert("修改成功")
					   window.location.href="user_manager.php";
					   break;
				   case '0':
					   alert("修改失败！");
					   break;
				   case '-1':
					   alert("用户名已存在！");
					   break;
				   }
			   },
			 error: function(XMLHttpRequest, textStatus, errorThrown) {

				 alert(XMLHttpRequest.status);
				 alert(XMLHttpRequest.readyState);
				 alert(textStatus);
			 },
	});
}

function modifyPass()
{
	$("#oldpassError").html("");
	$("#newpassError").html("")
	$("#comfirmError").html("");

	var old_pass = $("#oldpass").val();
	var new_pass = $("#newpass").val();
	var confirm_pass = $("#confirpass").val();

	var old_pass_is_empty = false;
	var new_pass_is_empty = false;
	var confirm_pass_is_empty = false;

	if(old_pass.length ==0)
	{
		old_pass_is_empty = true;
	}

	if(new_pass.length ==0)
	{
		new_pass_is_empty = true;
	}

	if(confirm_pass.length ==0)
	{
		confirm_pass_is_empty = true;
	}

	if(old_pass_is_empty == true || new_pass_is_empty == true || confirm_pass_is_empty == true)
	{
		if(old_pass_is_empty == true)
		{
			$("#oldpassError").html("不能为空");
		}
		if(new_pass_is_empty == true)
		{
			$("#newpassError").html("不能为空")
		}
		if(confirm_pass_is_empty == true)
		{
			$("#comfirmError").html("不能为空");
		}
		return;
	}

	var patt = /^[a-zA-Z]\w{5,17}$/;
	if(!patt.test(new_pass))
	{
	    $("#newpassError").html("密码格式不正确")
	    return;
	}
		

	if (new_pass != confirm_pass)
	{
	    $("#comfirmError").html("两次密码输入不相同！");
		return;
	}

	$.ajax({
		   url:'rpmProcess.php?flag=modifyPass',
		   type:'post',
		   async:true,
		   datatype:'text',
		   cache:false,
		   data:{
			   old_pass:old_pass,
			   new_pass:new_pass
			   },
		   success:function(data){
			  //alert(data);

				   switch(data)
				   {
				   case '1':
					   alert("修改成功")
					   window.location.href="index.php";
					   break;
				   case '0':
					   alert("修改失败！");
					   break;
				   case '-1':
					   alert("原密码不正确！");
					   break;
				   }
			   },
			 error: function(XMLHttpRequest, textStatus, errorThrown) {

				 alert(XMLHttpRequest.status);
				 alert(XMLHttpRequest.readyState);
				 alert(textStatus);
			 },
	});
}
