<?php
require_once 'Settings.class.php';
require_once 'Architecture.class.php';

$architecture = new Architecture();
$upArchitecture = $architecture->getTableSuffixById($_REQUEST['archId']);

$settings = new Settings("/etc/software-center/software-center-server.ini");
$RPMS_path = $settings->get($upArchitecture.".RPMS_path");
$icons_path = $settings->get($upArchitecture.".icons_path");

if (!empty($_REQUEST['flag']))
{
	$flag = $_REQUEST['flag'];

	if($flag =="icon")
	{

		if ($_FILES["iconFile"]["error"] > 0)
		{
			//上传失败
			$json_arr = array("id"=>"-1");
			$json_obj = json_encode($json_arr);
			echo $json_obj;
			exit();
		}else{
			if (($_FILES["iconFile"]["type"] != "image/png"))
			{
				//上传类型错误
				$json_arr = array("id"=>"-4");
				$json_obj = json_encode($json_arr);
				echo $json_obj;
			}else{

				if (file_exists($icons_path.$_FILES["iconFile"]["name"]))
				{
					//已经存在
					$json_arr = array("id"=>"-2", "iconName"=>$_FILES["iconFile"]["name"]);
					$json_obj = json_encode($json_arr);
					echo $json_obj;
					exit();
				}else{
					if(move_uploaded_file($_FILES["iconFile"]["tmp_name"], $icons_path.$_FILES["iconFile"]["name"]))
					{
						//上传成功
						$json_arr = array("id"=>"0", "iconName"=>$_FILES["iconFile"]["name"]);
						$json_obj = json_encode($json_arr);
						echo $json_obj;
						exit();
					}else {
						//移动文件到指定目录失败
						$json_arr = array("id"=>"-3");
						$json_obj = json_encode($json_arr);
						echo $json_obj;
						exit();
					}
				}
			}
		}

	}else if($flag == "rpm")
	{
		if ($_FILES["rpmFile"]["error"] > 0)
		{
			//上传失败
			$json_arr = array("id"=>"-1");
			$json_obj = json_encode($json_arr);
			echo $json_obj;
			exit();
		}else{
			exec("file -i ".$_FILES["rpmFile"]["tmp_name"]." | awk '{print $2}' "." >/tmp/format");

			$file_path = "/tmp/format";
			if(file_exists($file_path)){
				$format = file_get_contents($file_path);
			}
			$format = str_replace("\n",'',$format);

			if ($format != "application/x-rpm;")
			{
				$json_arr = array("id"=>"-4");
				$json_obj = json_encode($json_arr);
				echo $json_obj;//上传类型错误
				exit();
			}else{
				$rpmSize = $_FILES['rpmFile']['size'];

				exec("rpm -qpi ".$_FILES["rpmFile"]["tmp_name"]." >/tmp/text.txt");
				exec("cat /tmp/text.txt |grep Name |awk '{print $3}' >/tmp/name.txt");

				$file_path = "/tmp/name.txt";
				if(file_exists($file_path)){
					$strName = file_get_contents($file_path);
				}

				exec("cat /tmp/text.txt |grep Version |awk '{print $3}' >/tmp/version.txt");
				$file_path = "/tmp/version.txt";
				if(file_exists($file_path)){
					$strVersion = file_get_contents($file_path);
				}

				exec("cat /tmp/text.txt |grep Release |awk '{print $3}' >/tmp/release.txt");

				$file_path = "/tmp/release.txt";
				if(file_exists($file_path)){
					$strRelease = file_get_contents($file_path);
				}

				exec("cat /tmp/text.txt |grep Architecture |awk '{print $2}' >/tmp/architecture.txt");
				$file_path = "/tmp/architecture.txt";
				if(file_exists($file_path)){
					$strArchitecture = file_get_contents($file_path);
				}
				$strArchitecture = str_replace("\n",'',$strArchitecture);

				$rpmBigVersion = $strVersion."-".$strRelease;
				$rpmBigVersion = str_replace("\n",'',$rpmBigVersion);
				$strInfo = $strName."-".$strVersion."-".$strRelease;
				$strInfo = str_replace("\n",'',$strInfo);

				$fileFirstName = substr($_FILES["rpmFile"]["name"], 0,strrpos($_FILES["rpmFile"]["name"],"."));
				$fileSecondName = substr($fileFirstName,0,strrpos($fileFirstName,"."));

				if ($fileSecondName != $strInfo)
				{
					//上传软件包跟实际安装包名不匹配
					$json_arr = array("id"=>"-5");
					$json_obj = json_encode($json_arr);
					echo $json_obj;
					exit();
				}

				if ($strArchitecture != "noarch")
				{
					if ($strArchitecture != $upArchitecture)
					{
						//架构不匹配
						$json_arr = array("id"=>"-6");
						$json_obj = json_encode($json_arr);
						echo $json_obj;
						exit();
					}
				}

				if (file_exists($RPMS_path.$_FILES["rpmFile"]["name"]))
				{
					//文件已存在
					$json_arr = array("id"=>"-2","rpmName"=>$strInfo,"rpmVersion"=>$rpmBigVersion,"rpmSize"=>$rpmSize);
					$json_obj = json_encode($json_arr);
					echo $json_obj;
					exit();
				}else{
					if(move_uploaded_file($_FILES["rpmFile"]["tmp_name"], $RPMS_path.$_FILES["rpmFile"]["name"]))
					{
						//上传成功
						$json_arr = array("id"=>"0","rpmName"=>$strInfo,"rpmVersion"=>$rpmBigVersion,"rpmSize"=>$rpmSize);
						$json_obj = json_encode($json_arr);
						echo $json_obj;
						exit();

					}else{
						//移动上传文件到指定目录失败
						$json_arr = array("id"=>"-3");
						$json_obj = json_encode($json_arr);
						echo $json_obj;
						exit();
					}
				}
			}
		}
	}
}
?>
