<?php
/**
 * 软件类别
 **/
class Categories{

	private $categories = array(
			"0"=>"全部类别",
			"1"=>"办公应用",
			"2"=>"编程开发",
			"3"=>"行业应用",
			"4"=>"教育学习",
			"5"=>"实用工具",
			"6"=>"视频应用",
			"7"=>"图形图像",
			"8"=>"网络应用",
			"9"=>"系统工具",
			"10"=>"压缩刻录",
			"11"=>"音频应用",
			"12"=>"游戏娱乐",
			"13"=>"其他应用"
			);

	public function getCategories()
	{
		return $this->categories;
	} 

	public function getNameById($id)
	{
		return $this->categories[$id];
	}

	public function getCount()
	{
		return count($this->categories);
	}

	public function printOptions($start, $class)
	{	
		$count = $this->getCount();

		for($i=$start; $i<$count; $i++)
		{
			$name = $this->getNameById($i);
			if($i == $class)
			{
				echo "<option value=$i selected>$name</option>";
			}
			else
			{
				echo "<option value=$i>$name</option>";
			}
		}
	}
}

?>
