<?php
require_once 'SqlTool.php';
require_once 'Rpm.class.php';


class RpmService {

	public $architecture;

	public function __construct($architecture){

		$this->architecture = $architecture;
	}

	function updateRpm($name,$icon,$exec,$rpm,$version,$size,$info,$rpmdeps,$type){

		if(empty($icon))
		{
			$sql="update softwares_$this->architecture set s_name='$name', s_exec='$exec', s_rpm='$rpm', s_version='$version', s_size='$size', s_description='$info', s_rpmdeps='$rpmdeps', class=$type where s_name='$name'";
		}else{
			$sql="update softwares_$this->architecture set s_name='$name', s_icon='$icon', s_exec='$exec', s_rpm='$rpm', s_version='$version', s_size='$size', s_description='$info', s_rpmdeps='$rpmdeps', class=$type, time=now() where s_name='$name'";

		}

		$sqlTool=new SqlTool();
		$flag = $sqlTool->execute_dqm($sql);
		return $flag;

	}
	function getRpmByName($name){
		$sql="select * from softwares_$this->architecture where s_name='$name'";
		$sqlTool = new SqlTool();
		$arr = $sqlTool->execute_dql2($sql);
		$sqlTool->close_connect();
		if(empty($arr))
		{
			return NULL;
		}
		$rpm = new Rpm();
		$rpm->setS_id($arr[0]['index']);
		$rpm->setS_name($arr[0]['s_name']);
		$rpm->setS_icon($arr[0]['s_icon']);
		$rpm->setS_exec($arr[0]['s_exec']);
		$rpm->setS_rpm($arr[0]['s_rpm']);
		$rpm->setS_version($arr[0]['s_version']);
		$rpm->setS_size($arr[0]['s_size']);
		$rpm->setS_description($arr[0]['s_description']);
		$rpm->setS_rpmdeps($arr[0]['s_rpmdeps']);
		$rpm->setS_star($arr[0]['s_star']);
		$rpm->setS_class($arr[0]['class']);
		$rpm->setS_time($arr[0]['time']);

		return $rpm;
	}
	function addRpm($name,$icon,$exec,$rpm,$version,$size,$info,$rpmdeps,$star,$type){
		$sql="insert into softwares_$this->architecture (s_name,s_icon,s_exec,s_rpm,s_version,s_size,s_description,s_rpmdeps,s_star,class,time) values('$name','$icon','$exec','$rpm','$version','$size','$info','$rpmdeps',$star,$type,now())";
		$sqlTool=new SqlTool();
		$flag = $sqlTool->execute_dqm($sql);

		return $flag;


	}
	function delRpmById($name){

		$sql="delete from softwares_$this->architecture where s_name='$name'";
		$sqlTool=new SqlTool();

		$flag = $sqlTool->execute_dqm($sql);
		return $flag;
	}
	function getRowCount()
	{
		$sql="select count(s_name) from softwares_$this->architecture";
		$sqlTool=new SqlTool();
		$res=$sqlTool->execute_dql($sql);
		//	mysqli_free_result($res);
		$sqlToo->close_connect();
		return $res;
	}

	function getRpmList($class, $pageNow, $pageSize){

		if($class == 0)
		{
			$sql="select * from softwares_$this->architecture limit ".($pageNow-1)*$pageSize.",$pageSize";
		}
		else
		{
			$sql = "select * from softwares_$this->architecture where class = $class limit ".($pageNow-1)*$pageSize.",$pageSize";
		}

		$sqlTool=new SqlTool();
		$res = $sqlTool->execute_dql2($sql);

		$sqlTool->close_connect();
		return $res;
	}

	function getPageCount($class, $pageSize){

		if($class == 0)
		{
			$sql="select count(s_name) from softwares_$this->architecture";
		}
		else
		{
			$sql="select count(s_name) from softwares_$this->architecture where class = $class";
		}

		$sqlTool=new SqlTool();
		$res=$sqlTool->execute_dql($sql);

		if($row=mysqli_fetch_row($res)){
			$pageCount=ceil($row[0]/$pageSize);
		}

		mysqli_free_result($res);
		$sqlTool->close_connect();
		return $pageCount;
	}

	function getRpmListBySearch($keyword, $class, $pageNow, $pageSize){

		$keyword = "'%$keyword%'";

		if($class == 0)
		{
			$sql = "select * from softwares_$this->architecture where s_name like $keyword limit ".($pageNow-1)*$pageSize.",$pageSize";
		}
		else
		{
			$sql = "select * from softwares_$this->architecture where class = $class and s_name like $keyword limit ".($pageNow-1)*$pageSize.",$pageSize";
		}

		$sqlTool=new SqlTool();
		$res = $sqlTool->execute_dql2($sql);

		$sqlTool->close_connect();
		return $res;
	}

	function getPageCountBySearch($keyword, $class, $pageSize){

		$keyword = "'%$keyword%'";

		if($class == 0)
		{
			$sql="select count(s_name) from softwares_$this->architecture where s_name like $keyword";
		}
		else
		{
			$sql="select count(s_name) from softwares_$this->architecture where class = $class and s_name like $keyword";
		}

		$sqlTool=new SqlTool();
		$res=$sqlTool->execute_dql($sql);

		if($row=mysqli_fetch_row($res)){
			$pageCount=ceil($row[0]/$pageSize);
		}

		mysqli_free_result($res);
		$sqlTool->close_connect();
		return $pageCount;
	}
}
