<?php
/**
* 读取配置文件
**/
class Settings{

	private $settings;

	function __construct ($file)
	{
		if (file_exists($file) == false)
		{
			$this->settings = NULL;
		}
		$this->settings = parse_ini_file ($file, true);
	}

	public function get($var)
	{
		$var = explode('.', $var);
		$result = $this->settings;

		foreach ($var as $key) {
			if (!isset($result[$key]))
			{
				return false;
			}
			$result = $result[$key];
		}

		return $result;
	}
}

?>
