
function updateIcon()
{

	$("#upIconError").html("");
	iconFile=$("#upIconFile").val();
	if(iconFile.length == 0)
	{
	    alert("尚未选择图标文件！");
	    return;
	}

	var archName = $("#upArch").val();

	$.ajaxFileUpload
	({
			url:'upFile.php?flag=upicon'+'&archName='+archName,
			secureuri:false,
			fileElementId:'upIconFile',
			dataType: 'json',
			success: function (data)
			{
				//alert(data.id);
				switch(data.id)
				   {
				   case '0':
					   alert("上传成功！");
					   $("#iconName").val(data.iconName);
					   break;
				   case '-1':
					   alert("上传失败，请重新上传！");
					   $("#upIconError").html("上传失败");
					   break;
				   case '-3':
					   alert("上传失败，请重新上传！");
					   $("#upIconError").html("上传失败");
					   break;
				   case '-2':
					   alert("文件已存在！");
					   $("#iconName").val(data.iconName);
					   break;
				   case '-4':
					   alert("只能上传png图片！");
					   $("#upIconError").html("上传失败");
					   break;
				   }		

			},
			error: function (data, status, e)
			{
				alert(e);
			}
		})

}

function updateRpm()
{

	$("#upFileError").html("");
	var rpmFile=$("#upRpmFile").val();
	if(rpmFile.length == 0)
	{
	    alert("尚未选择软件包文件！");
	    return;
	}

	var archName = $("#upArch").val();

	$.ajaxFileUpload
	({
			url:'upFile.php?flag=uprpm'+'&archName='+archName,
			secureuri:false,
			fileElementId:'upRpmFile',
			dataType: 'json',
			success: function (data)
			{
			//	alert(data);
				switch(data.id)
				   {
				   case '0':
					   alert("上传成功！");
					   $("#upRpmName").val(data.rpmName);
					   $("#upVersion").val(data.rpmVersion);
					   $("#rpmSize").val(data.rpmSize);
					   break;
				   case '-1':
					   alert("上传失败，请重新上传！");
					   $("#upFileError").html("上传失败");
					   break;
				   case '-3':
					   alert("上传失败，请重新上传！");
					   $("#upFileError").html("上传失败");
					   break;
				   case '-2':
					   alert("文件已存在！");
					   $("#upRpmName").val(data.rpmName);
					   $("#upVersion").val(data.rpmVersion);
					   $("#rpmSize").val(data.rpmSize);
					   break;
				   case '-4':
					   alert("只能上传rpm包！");
					   $("#upFileError").html("上传失败");
					   break;
				   case '-5':
					   alert("上传软件包名和安装后的包名不匹配，请检查包名的真实性");
					   $("#upFileError").html("上传失败");
					   break;
				   case '-6':
					   alert("架构不匹配！");
					   $("#upFileError").html("上传失败");
					   break;
				   }		

			},
			error: function (data, status, e)
			{
				alert(e);
			}
		})
}


function updateInfo()
{
	$("#buttonUpdate").attr("disabled",true);
	$("#buttonUpdate").css("background-color","#cccccc");

	$("#allContent").css("opacity","0.6");
	$("#allContent").css("pointer-events","none");
	$("#tip").css("display","block");
	$("#tipWords").html("正在更新，请勿刷新页面……");
	window.onbeforeunload = function(e) {
    		return '离开会导致YUM源仓库更新中断，确认离开？'; 
	}

	var archName = $("#upArch").val();
	var up_name = $("#upName").val();
	var icon_name = $("#iconName").val();
	var up_exe = $("#upExe").val();
	var up_class = $("#upClass").val();	
	var up_rpmName = $("#upRpmName").val();
	var up_version = $("#upVersion").val();
	var rpm_size = $("#rpmSize").val();
	var up_info = $("#upInfo").val();
	var up_deps = $("#upDeps").val();

	var up_info_is_null = false;
	var soft_file_is_not_loaded = false;
	var icon_file_is_not_loaded = false;
	
	if(up_info.length == 0)
	{
		up_info_is_null = true;
	}
	if(up_rpmName.length == 0 || up_version.length == 0 || rpm_size.length == 0)
	{
		soft_file_is_not_loaded = true;
	}
	if(icon_name.length == 0)
	{
		icon_file_is_not_loaded = true;
	}

	if(up_info_is_null == true || soft_file_is_not_loaded == true)
	{
		if(up_info_is_null == true)
		{
			$("#upInfoError").html("不能为空");
		}
		if(soft_file_is_not_loaded == true)
		{
			$("#upFileError").html("未上传文件");
		}
		$("#buttonUpdate").css("background-color","#304055");
		$("#buttonUpdate").attr("disabled",false);
		$("#allContent").css("opacity","1");
		$("#allContent").css("pointer-events","auto");
		$("#tip").css("display","none");
		$("#tipWords").html("");
		window.onbeforeunload = null;
		return;
	}

	$.ajax({
		   url:'rpmProcess.php?flag=updateSoftware',
		   type:'post',
		   async:true,
		   datatype:'text',
		   cache:false,
		   data:{
			   archName:archName,
			   up_name:up_name,
			   icon_name:icon_name,
			   up_exe:up_exe,
			   up_rpmName:up_rpmName,
			   up_version:up_version,
			   rpm_size:rpm_size,
			   up_info:up_info,
			   up_deps:up_deps,
			   up_class:up_class
			   },

		   success:function(data){
			//alert(data);
			$("#allContent").css("opacity","1");
			$("#allContent").css("pointer-events","auto");
			$("#tip").css("display","none");
			$("#tipWords").html("");
			window.onbeforeunload = null;
				   switch(data)
				   {
				   case '0':
					   alert("更新成功！");
					   window.location.href="rpm_list.php"; 
					   break;
				   case '2':
					   alert("无实质性更新项！");
				   case '-1':
				   case '-2':
					   alert("更新失败！");
					   location.reload();
					   break;
				   }			 
			   },
			 error: function(XMLHttpRequest, textStatus, errorThrown) {

				 alert(XMLHttpRequest.status);
				 alert(XMLHttpRequest.readyState);
				 alert(textStatus);
			 },
	});
}
function changeColor(obj,id)
{
	//$("#li"+id).css("background-color","yellow");
	$(obj).css("background-color","#273548");
}
